Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Compilieren von glibc-2.3.5 mit gcc-4.0.0 ?

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Sonstiges
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
Tobain
Gast





BeitragVerfasst am: 10. Mai 2005 18:09   Titel: Compilieren von glibc-2.3.5 mit gcc-4.0.0 ?

Hallo,

Ich bin gerade dabei die glibc zu kompilieren und bekomme immer folgende Fehlermeldung beim compilieren (nach der Eingabe von: make):

Code:

../sysdeps/ieee754/dbl-64/s_isinf.c:29: error: 'isinf' aliased to undefined symbol '__isinf'
make[2]: *** [/mnt/lfs/sources/glibc-build/math/s_isinf.os] Error 1
make[2]: Leaving directory `/mnt/lfs/sources/glibc-2.3.5/math'
make[1]: *** [math/subdir_lib] Error 2
make[1]: Leaving directory `/mnt/lfs/sources/glibc-2.3.5'
make: *** [all] Error 2


configure klappte jedenfalls ohne Probleme. Ich kann aber leider keine andere Version der glibc verwenden, denn die etwas älteren (<=2.3.4) meckern immer rum, das der Compiler zu alt sei. Ich glaube allerdings nicht das der gcc 4.0.0 zu alt ist.

Das bisherige habe ich jedenfalls mit folgenden Befehlen durchgeführt:
Code:

tar -xjf glibc-2.3.5.tar.bz2
mkdir glibc-build
cd glibc-build
../glibc-2.3.5/configure --prefix=/tools \
    --disable-profile --enable-add-ons=nptl --with-tls \
    --with-__thread --enable-kernel=2.6.0 \
    --with-binutils=/tools/bin --without-gd --without-cvs \
    --with-headers=/tools/glibc-kernheaders
make


Also wenn mir jemand einen Tip geben kann, ich bin jedenfalls schon jetzt dankbar Wink
 

MoPPson



Anmeldungsdatum: 15.05.2005
Beiträge: 1
Wohnort: Putbus

BeitragVerfasst am: 15. Mai 2005 22:30   Titel:

Hmm....soweit ich weiß ist der neue gcc 4.0 noch nicht so sehr ausgereift, also könnte es eher am gcc 4.0 liegen und nicht an deinen glibc!
Genaueres kann ich da aber auch nicht sagen =/

Mfg
 
Benutzer-Profile anzeigen Private Nachricht senden

jodler
Gast





BeitragVerfasst am: 16. Mai 2005 12:09   Titel:

http://sources.redhat.com/ml/glibc-bugs/2005-03/msg00120.html

Fehler in glibc. Patch ist da.

Siehe auch:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20652
 

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Sonstiges Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy